# Uses of Interface
org.springframework.orm.hibernate5.HibernateCallback

Packages that use HibernateCallback
Package
Description
org.springframework.orm.hibernate5
Package providing integration of Hibernate ORM 5.x with Spring concepts.

## Uses of HibernateCallback in org.springframework.orm.hibernate5

Methods in org.springframework.orm.hibernate5 with parameters of type HibernateCallback
Modifier and Type
Method
Description
`protected <T> T`
HibernateTemplate.`doExecute(HibernateCallback<T> action, boolean enforceNativeSession)`
Execute the action specified by the given action object within a Session.
`<T> T`
HibernateOperations.`execute(HibernateCallback<T> action)`
Execute the action specified by the given action object within a `Session`.
`<T> T`
HibernateTemplate.`execute(HibernateCallback<T> action)`
`<T> T`
HibernateTemplate.`executeWithNativeSession(HibernateCallback<T> action)`
Execute the action specified by the given action object within a native `Session`.